Subject: Re: [RFC PATCH v8 00/16] Provide a zero-copy method on KVM virtio-net.

From: Shirley Ma <[email-masked]>
Date: Tue, 10 Aug 2010 20:28:02 -0700

Hello Avi,

On Mon, 2010-08-02 at 19:32 +0300, Avi Kivity wrote:
> When are you seeing gup_fast() fall back to gup()?  It should be at
> most 
> once per page (when a guest starts up none of its pages are mapped,
> it 
> faults them in on demand). 

netperf/netserver latency results are pretty good for message size
between 1 bytes and 512 bytes when I have 64 bytes small copy.

However if I don't have any small copy , the ping RTT time is
unreasonable huge. Since we think it's better to have small message with
copy, so there will be no issue.

Thanks
Shirley